Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ResourceStreamerImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.ResourceStreamerImpl

All Implemented Interfaces:
  ResourceStreamer

    public class ResourceStreamerImpl

extends java.lang.Object
implements ResourceStreamer

Constructor Summary
`ResourceStreamerImpl(Request request, Response response, StreamableResourceSource streamableResourceSource, ResponseCompressionAnalyzer analyzer, OperationTracker tracker, boolean productionMode, ResourceChangeTracker resourceChangeTracker)`

Method Summary
`void` | `streamResource(Resource resource)` Streams the content of the resource to the client (or sends an alternative response such as `HttpServletResponse.SC_NOT_MODIFIED`).
`void` | `streamResource(StreamableResource streamable)` Streams a resource that has been assembled elsewhere.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceStreamerImpl

    public ResourceStreamerImpl(Request request,
                                Response response,
                                StreamableResourceSource streamableResourceSource,
                                ResponseCompressionAnalyzer analyzer,
                                OperationTracker tracker,
                                @Symbol(value="tapestry.production-mode")
                                boolean productionMode,
                                ResourceChangeTracker resourceChangeTracker)

Method Detail

### streamResource

    public void streamResource(Resource resource)
                        throws java.io.IOException

  Description copied from interface: `ResourceStreamer`
  Streams the content of the resource to the client (or sends an alternative response such as `HttpServletResponse.SC_NOT_MODIFIED`). Encapsulates logic for compression and for caching.

  Specified by:
    `streamResource` in interface `ResourceStreamer`
  Throws:
    `java.io.IOException`
  See Also:
    `StreamableResourceSource`

### streamResource

    public void streamResource(StreamableResource streamable)
                        throws java.io.IOException

  Description copied from interface: `ResourceStreamer`
  Streams a resource that has been assembled elsewhere.

  Specified by:
    `streamResource` in interface `ResourceStreamer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.